% program calculates temperature distribution (12 Oct 13)
clear  % clears variables
clear global  % clears global variables
format short

Nx=3; % number of points along x axis
Ny=3; % number of points along y axis
N=Nx*Ny; %total number of points

for i=1:N % setting off diagonals
    a1(i)=1;
    a2(i)=1;
    a4(i)=1;
    a5(i)=1;    
end

for i=1:Ny % setting zeros in off diagonals
    a4((i-1)*Nx+1)=0;
    a2(i*Nx)=0;   
end
for i=1:N % setting the main diagonal
    a3(i)=-4; 
end 

for i=1:N % setting the augmented vector
    b(i)=-300; 
end 
b(1)=-600; 
b(Nx)=-600; 
b(N-Nx+1)=-600; 
b(N)=-600; 
for j=2:Ny-1
    for i=2:Nx-1
        b((j-1)*Nx+i)=0; 
    end
end

c=[-Nx,-1,0,1,Nx]; %setting the matrix pattern
%forming directly the matrix in sparse format
A=spdiags([a1' a2' a3' a4' a5'], c, N, N); % a1-a5 are transposed 
x=A\b' % solving the set of equations
