% program calculates 1D scalar potential distribution in a circ fibre
% using scalar approach 
% 16.01.2013

total_rad=4*a;

u=sqrt(nf*nf*k*k-nin*nin*k*k);
v=sqrt(nin*nin*k*k-nc*nc*k*k);

B=1; % B can be set to 1 while A needs to be calculated to impose continuity
A=besselk(0,v*a)/besselj(0,u*a);

r1=0:0.00005:a;
f1=A*besselj(0,u*r1);

r2=a:0.00005:total_rad;
f2=B*besselk(0,v*r2);

r=[r1 r2];
f=[f1 f2];

%normalisation for convenient plotting only

f=f/sqrt(f*f');
